Name:          libkysdk-base
Version:       2.2.0.0
Release:       1
Summary:       Kylin Software Development Kit - Base Layer Kit
License:       GPL-2+
URL:           http://www.ukui.org
Source0:       %{name}-%{version}.tar.gz

Patch1:	       0001-libkysdk-base-2.2.0-change-CMake.patch

BuildRequires: glibc-devel cmake systemd-devel gcc-c++ dbus-devel openssl-devel chrpath glib2-devel gtk3-devel 


Requires: libkysdk-timer libkysdk-log libkysdk-config libkysdk-utils libkysdk-diagnostics libkysdk-basecommon libkysdk-gsetting

%description
Kylin Software Development Kit - Base Layer Kit
Provides log, message, process, thread, timers, debugging and burying, configuration files, utils


%package -n libkysdk-base-devel
Summary:  utils
Requires: libkysdk-base libkysdk-timer-devel libkysdk-log-devel libkysdk-config-devel libkysdk-utils-devel libkysdk-diagnostics-devel libkysdk-gsetting-devel
 
%description -n libkysdk-base-devel 
Development libraries Provides log, message, process, thread, timers, debugging and burying, configuration files, utils


%package -n libkysdk-timer
Summary:  utils
Requires: libkysdk-utils libkysdk-basecommon glibc 

%description -n libkysdk-timer
timer module library


%package -n libkysdk-timer-devel
Summary:  utils
Requires: libkysdk-utils-devel libkysdk-timer libkysdk-basecommon glibc

%description -n libkysdk-timer-devel
timer module library - Development libraries


%package -n libkysdk-log
Summary:  utils
Requires: libkysdk-config logrotate libkysdk-utils libkysdk-basecommon dbus glibc dbus-libs systemd-libs 

%description -n libkysdk-log
log module library


%package -n libkysdk-basecommon
Summary:  utils

%description -n libkysdk-basecommon
Base Layer Public packets


%package -n libkysdk-log-devel
Summary:  utils
Requires: libkysdk-log libkysdk-config-devel libkysdk-utils-devel systemd-devel

%description -n libkysdk-log-devel
log module library - Development libraries


%package -n libkysdk-config
Summary:  utils
Requires: libkysdk-utils libkysdk-basecommon glibc

%description -n libkysdk-config
config module library


%package -n libkysdk-config-devel
Summary:  utils
Requires: libkysdk-utils-devel libkysdk-config

%description -n libkysdk-config-devel
config module library - Development libraries


%package -n libkysdk-utils
Summary:  utils
Requires: libkysdk-basecommon glibc

%description -n libkysdk-utils
Developer utils


%package -n libkysdk-utils-devel
Summary:  utils
Requires: libkysdk-utils

%description -n libkysdk-utils-devel
Developer utils - Development libraries


%package -n libkysdk-diagnostics
Summary:  utils
Requires: libkysdk-utils libkysdk-basecommon glibc dbus-libs libgcc  openssl-devel libstdc++

%description -n libkysdk-diagnostics
Developer diagnostics


%package -n libkysdk-diagnostics-devel
Summary:  utils
Requires: libkysdk-diagnostics

%description -n libkysdk-diagnostics-devel
Developer diagnostics - Development libraries

%package -n libkysdk-gsetting
Summary:  utils
Requires: gtk3
Requires: glib2 
Requires: libkysdk-basecommon
Requires: atk
Requires: glibc 
Requires: cairo-gobject-devel
Requires: cairo-devel
Requires: gdk-pixbuf2-devel 
Requires: harfbuzz-devel
Requires: pango-devel

%description -n libkysdk-gsetting
Developer gsetting

%package -n libkysdk-gsetting-devel
Summary:  utils
Requires: libkysdk-gsetting

%description -n libkysdk-gsetting-devel
Developer gsetting - Development libraries




%prep
%setup -q
%patch1 -p1


%build
mkdir build && pushd build
%cmake ..
%{make_build}
popd

%install
pushd build
rm -rf $RPM_BUILD_ROOT 
%{make_install} DESTDIR=%{buildroot}
popd
mkdir -p $RPM_BUILD_ROOT/usr/share/pkgconfig
mkdir -p $RPM_BUILD_ROOT/etc/ld.so.conf.d
cp ./development-files/*.pc $RPM_BUILD_ROOT/usr/share/pkgconfig/
cp ./development-files/kysdk-base.conf $RPM_BUILD_ROOT/etc/ld.so.conf.d/
cp ./src/utils/kyutils.h $RPM_BUILD_ROOT/usr/include/kysdk/kysdk-base/kyutils.h
cp ./src/diagnostics/libkydiagnostics.h $RPM_BUILD_ROOT/usr/include/kysdk/kysdk-base/libkydiagnostics.h
cp ./src/log/kylog-default.conf $RPM_BUILD_ROOT/%{_sysconfdir}/kysdk/kysdk-base/

chrpath -d %{buildroot}/usr/lib/kysdk/kysdk-base/libky*.so.2.0.0

%clean
rm -rf $RPM_BUILD_ROOT

%files 



%files  -n libkysdk-log
%{_prefix}/lib/kysdk/kysdk-base/libkylog.so*
%{_sysconfdir}/kysdk/kysdk-base/kylog-default.conf
%{_sysconfdir}/kysdk/kysdk-base/kylog-rotate-default

%files  -n libkysdk-log-devel
%{_includedir}/kysdk/kysdk-base/libkylog.h
%{_datadir}/pkgconfig/kysdk-log.pc

%files  -n libkysdk-gsetting
%{_prefix}/lib/kysdk/kysdk-base/libkygsetting.so*

%files  -n libkysdk-gsetting-devel
%{_includedir}/kysdk/kysdk-base/libkygsetting.h
%{_datadir}/pkgconfig/kysdk-gsetting.pc

%files  -n libkysdk-base-devel 
%{_datadir}/pkgconfig/kysdk-base.pc

%files  -n libkysdk-timer
%{_prefix}/lib/kysdk/kysdk-base/libkytimer.so*

%files  -n libkysdk-timer-devel
%{_includedir}/kysdk/kysdk-base/libkytimer.h
%{_datadir}/pkgconfig/kysdk-timer.pc

%files  -n libkysdk-basecommon
%{_sysconfdir}/ld.so.conf.d/kysdk-base.conf

%files  -n libkysdk-config
%{_prefix}/lib/kysdk/kysdk-base/libkyconf.so*

%files  -n libkysdk-config-devel
%{_includedir}/kysdk/kysdk-base/libkyconf.h
%{_datadir}/pkgconfig/kysdk-config.pc

%files  -n libkysdk-utils
%{_prefix}/lib/kysdk/kysdk-base/libkydatastruct.so*
%{_prefix}/lib/kysdk/kysdk-base/libkyutils.so*

%files  -n libkysdk-utils-devel
%{_includedir}/kysdk/kysdk-base/skip_linklist.h
%{_includedir}/kysdk/kysdk-base/listdata.h
%{_includedir}/kysdk/kysdk-base/sdkmarcos.h
%{_includedir}/kysdk/kysdk-base/kerr.h
%{_includedir}/kysdk/kysdk-base/cstring-extension.h
%{_includedir}/kysdk/kysdk-base/kyutils.h
%{_datadir}/pkgconfig/kysdk-utils.pc

%files  -n libkysdk-diagnostics
%{_prefix}/lib/kysdk/kysdk-base/libkydiagnostics.so*

%files  -n libkysdk-diagnostics-devel
%{_includedir}/kysdk/kysdk-base/libkydiagnostics.h
%{_datadir}/pkgconfig/kysdk-diagnostics.pc

%changelog
* Thu Mar 28 2024 huayadong <huayadong@kylinos.cn> - 2.2.0.0-1
- update version to 2.2.0.0

* Fri May 26 2023 peijiankang <peijiankang@kylinos.cn> - 2.0.0.0-1
- update version to 2.0.0.0

* Wed Mar 01 2023 peijiankang <peijiankang@kylinos.cn> - 2.0.0-3
- remove rpath of libkysdk-base

* Thu Feb 09 2023 peijiankang <peijiankang@kylinos.cn> - 2.0.0-2
- add build debuginfo and debugsource

* Mon Dec 5 2022 peijiankang <peijiankang@kylinos.cn> - 2.0.0-1
- update version to 2.0.0

* Tue Nov 1 2022 peijiankang <peijiankang@kylinos.cn> - 1.0.0-1
- Init Package for libkysdk-base
